/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Site
 */

public class Site {
  @JsonProperty("id")
  private String id = null;

  @JsonProperty("metrics")
  private Object metrics = null;

  @JsonProperty("title")
  private String title = null;

  public Site id(String id) {
    this.id = id;
    return this;
  }

   /**
   * The Site unique identifier
   * @return id
  **/
  @ApiModelProperty(required = true, value = "The Site unique identifier")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public Site metrics(Object metrics) {
    this.metrics = metrics;
    return this;
  }

   /**
   * The associated metrics
   * @return metrics
  **/
  @ApiModelProperty(value = "The associated metrics")
  public Object getMetrics() {
    return metrics;
  }

  public void setMetrics(Object metrics) {
    this.metrics = metrics;
  }

  public Site title(String title) {
    this.title = title;
    return this;
  }

   /**
   * The site display title
   * @return title
  **/
  @ApiModelProperty(required = true, value = "The site display title")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Site site = (Site) o;
    return Objects.equals(this.id, site.id) &&
        Objects.equals(this.metrics, site.metrics) &&
        Objects.equals(this.title, site.title);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, metrics, title);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Site {\n");

    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    metrics: ").append(toIndentedString(metrics)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

